/***************************************************************************
 *   Copyright (C) 2007 by Thomas Keller                                   *
 *   me@thomaskeller.biz                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef DATABASE_MENU_BAR_H
#define DATABASE_MENU_BAR_H

#include "MenuBar.h"

class DatabaseMenuBar : public MenuBar
{
    Q_OBJECT
public:
    DatabaseMenuBar(QWidget *);
    ~DatabaseMenuBar();

signals:
    void showCheckoutRevision();
    void showChangesetBrowser();
    void showKeyManagement();

protected:
    QAction * actionKey_management;
    QAction * actionChangeset_browser;
    QAction * actionCheckout_revision;

    QMenu * menuDatabase;
};

#endif

