/***************************************************************************
 *   Copyright (C) 2007 by Thomas Keller                                   *
 *   me@thomaskeller.biz                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef APPLICATION_UPDATE_H
#define APPLICATION_UPDATE_H

#include "ui_application_update.h"
#include "Dialog.h"

class ApplicationUpdate : public Dialog, private Ui::ApplicationUpdateDialog
{
    Q_OBJECT
public:
    ApplicationUpdate(QWidget *);
    ~ApplicationUpdate();
    inline bool updateAvailable() { return update_available; };

private:
    bool update_available;

private slots:
    void openWebsite();
};

#endif
