/***************************************************************************
 *   Copyright (C) 2007 by Thomas Keller                                   *
 *   me@thomaskeller.biz                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef UNACCOUNTED_RENAMES_H
#define UNACCOUNTED_RENAMES_H

#include "Dialog.h"
#include "vocab.h"
#include "ui_unaccounted_renames.h"

class UnaccountedRenames : public Dialog, private Ui::UnaccountedRenamesDialog
{
    Q_OBJECT
public:
    UnaccountedRenames(QWidget *);
    ~UnaccountedRenames();

    void showUnaccountedRenames(const QMap<FileEntry, FileEntryList> &);

private slots:
    void itemClicked(QTreeWidgetItem *, int);
};

#endif
